
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "enlight/version"

Gem::Specification.new do |spec|
  spec.name          = "enlight"
  spec.version       = Enlight::VERSION
  spec.authors       = ["Matt Orahood"]
  spec.email         = ["morahood@gmail.com"]
  spec.homepage      = 'https://github.com/pyrabbit/enlight'
  spec.summary       = 'Ruby wrapper for Enlight API'
  spec.description   = 'This is an alpha version, use at your own risk.'
  spec.licenses      = ['MIT']

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "activesupport", "~> 5.0"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "guard", "~> 2.14"
  spec.add_development_dependency "guard-minitest", "~> 2.4"
end
